Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAISNAN

    java.lang.Object
      org.netlib.lapack.DLAISNAN

    public class DLAISNAN

extends java.lang.Object

    DLAISNAN is a simplified interface to the JLAPACK routine dlaisnan.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  This routine is not for general use.  It exists solely to avoid
     *  over-optimization in DISNAN.
     *
     *  DLAISNAN checks for NaNs by comparing its two arguments for
     *  inequality.  NaN is the only floating-point value where NaN != NaN
     *  returns .TRUE.  To check for NaNs, pass the same variable as both
     *  arguments.
     *
     *  Strictly speaking, Fortran does not allow aliasing of function
     *  arguments. So a compiler must assume that the two arguments are
     *  not the same variable, and the test will not be optimized away.
     *  Interprocedural or whole-program optimization may delete this
     *  test.  The ISNAN functions will be replaced by the correct
     *  Fortran 03 intrinsic once the intrinsic is widely available.
     *
     *  Arguments
     *  =========
     *
     *  DIN1     (input) DOUBLE PRECISION
     *  DIN2     (input) DOUBLE PRECISION
     *          Two numbers to compare for inequality.
     *
     *  =====================================================================
     *
     *  .. Executable Statements ..

Constructor Summary
`DLAISNAN()`

Method Summary
`static boolean` | `DLAISNAN(double din1, double din2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAISNAN

    public DLAISNAN()

Method Detail

### DLAISNAN

    public static boolean DLAISNAN(double din1,
                                   double din2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD